/*
* author:www.phpernote.com
* time:2014年12月4日
*/
$.fn.popWindow=function(options){
	var defaults={
		'type':$(this).attr('type'),
		'title':$(this).attr('title'),
		'url':$(this).attr('url'),
		'prefix':'phpernote',
		'width':$(this).attr('width'),
		'height':$(this).attr('height'),
		'content':$(this).attr('content'),
		'cache':$(this).attr('cache'),
		'show':'fashion'
	};
	var opts=$.extend(defaults,options);
	this.click(function(){
		var str='',boxContent='';
		str='<div id="'+opts.prefix+'_overlay"></div><div id="'+opts.prefix+'_window"><div id="'+opts.prefix+'_nav"><div id="'+opts.prefix+'_title">'+opts.title+'</div><div id="'+opts.prefix+'_operat"><a id="'+opts.prefix+'_close" href="">关 闭</a></div></div><div id="'+opts.prefix+'_content">信息正在努力为您加载......</div></div>';
		$('body').append(str);
		if(opts.show=='fashion'){
			var offset=$(this).offset();
			$('#'+opts.prefix+'_window').css({'width':0,'height':0,'top':offset.top+'px','left':offset.left+'px'});
		}
		var pageHeight=parseInt($(document).height());
		var left=parseInt((parseInt($(window).width())-parseInt(opts.width))/2);
		var top=$(document).scrollTop()+parseInt((parseInt($(window).height())-parseInt(opts.height))/2);
		var contentHeight=parseInt(opts.height)+parseInt($('#'+opts.prefix+'_nav').height());
		$('#'+opts.prefix+'_overlay').css({'height':pageHeight+'px'});
		switch(opts.show){
			case 'simple':
				$('#'+opts.prefix+'_window').css({'width':opts.width,'top':top+'px','border-width':'5px','left':left+'px'}).animate({'height':contentHeight},'fast','swing',function(){$('#'+opts.prefix+'_window').css({'overflow':'hidden'})});
			break;
			case 'fashion':
				$('#'+opts.prefix+'_window').animate({'height':contentHeight,'width':opts.width,'border-width':'5px','top':top+'px','left':left+'px'},'fast','swing',function(){$('#'+opts.prefix+'_window').css({'overflow':'hidden'})});
			break;
		}
		$('#'+opts.prefix+'_close').click(function(){
			switch(opts.show){
				case 'simple':
					$('#'+opts.prefix+'_window').animate({'height':'0'},'fast','swing',function(){
						$('#'+opts.prefix+'_overlay,#'+opts.prefix+'_window').remove();
					});
				break;
				case 'fashion':
					$('#'+opts.prefix+'_window').animate({'width':0,'height':0,'border-width':'0px','top':offset.top+'px','left':offset.left+'px'},'fast','swing',function(){
						$('#'+opts.prefix+'_overlay,#'+opts.prefix+'_window').remove();
					});
				break;
			}
			return false;
		});
		$(window).scroll(function(){
			$('#'+opts.prefix+'_window').css({'top':$(document).scrollTop()+parseInt(($(window).height()-opts.height)/2)+'px'});
		});
		switch(opts.type){
			case 'url':
				$.ajax({
					url:opts.url,
					cache:opts.cache,
					success:function(data){
						boxContent=data.message;
					},
					error:function(){
						boxContent='信息调取失败......';
					}
				});
				$('#'+opts.prefix+'_content').html(boxContent);
			break;
			case 'text':
				boxContent=opts.content;
				$('#'+opts.prefix+'_content').html(boxContent);
			break;
			case 'image':
				
			break;
			case 'html':
				$.ajaxSetup({
					cache:opts.cache,
					beforeSend:function(){
						$('#'+opts.prefix+'_content').html('......');
					},
				});
				$('#'+opts.prefix+'_content').load(opts.url);
			break;
		}
		return false;
	});
}