/*
* author:www.phpernote.com
* time:2014年12月4日
*/
$.fn.popWindow=function(options){
	var defaults={
		'type':$(this).attr('type')?$(this).attr('type'):'html',
		'title':$(this).attr('title'),
		'url':$(this).attr('url'),
		'prefix':$(this).attr('prefix')?$(this).attr('prefix'):'phpernote',
		'width':$(this).attr('width'),
		'height':$(this).attr('height'),
		'content':$(this).attr('content'),
		'cache':$(this).attr('cache')!==''?$(this).attr('cache'):false
	};
	var opts=$.extend(defaults,options);
	this.click(function(){
		var str='',boxContent='';
		str='<div id="'+opts.prefix+'_overlay"></div><div id="'+opts.prefix+'_window"><div id="'+opts.prefix+'_nav"><div id="'+opts.prefix+'_title">'+opts.title+'</div><div id="'+opts.prefix+'_operat"><a id="'+opts.prefix+'_close" href="">关 闭</a></div></div><div id="'+opts.prefix+'_content"></div></div>';
		$('body').append(str);
		var pageHeight=parseInt($(document).height());
		var left=parseInt((parseInt($(window).width())-parseInt(opts.width))/2);
		var top=$(document).scrollTop()+parseInt((parseInt($(window).height())-parseInt(opts.height))/2);
		var contentHeight=parseInt(opts.height)+parseInt($('#'+opts.prefix+'_nav').height());
		$('#'+opts.prefix+'_overlay').css({'height':pageHeight+'px'});
		$('#'+opts.prefix+'_window').css({'position':'absolute','width':opts.width+'px','top':top+'px','border-width':'5px','left':left+'px'}).animate({'height':contentHeight+'px'},'fast','swing',function(){$('#'+opts.prefix+'_window').css({'overflow':'hidden'})});
		$('#'+opts.prefix+'_close').click(function(){
			$('#'+opts.prefix+'_window').animate({'height':'0'},'fast','swing',function(){
				$('#'+opts.prefix+'_overlay,#'+opts.prefix+'_window').remove();
			});
			return false;
		});
		$('#'+opts.prefix+'_content').css('line-height',opts.height+'px').html('信息正在努力为您加载......');
		$(window).scroll(function(){
			$('#'+opts.prefix+'_window').css({'top':$(document).scrollTop()+parseInt(($(window).height()-opts.height)/2)+'px'});
		});
		switch(opts.type){
			case 'url':
				$.ajax({
					url:opts.url,
					cache:opts.cache,
					success:function(data){
						$('#'+opts.prefix+'_content').css('line-height','');
						boxContent=data.message;
					},
					error:function(){
						boxContent='信息调取失败......';
					}
				});
				$('#'+opts.prefix+'_content').html(boxContent);
			break;
			case 'text':
				boxContent=opts.content;
				$('#'+opts.prefix+'_content').html(boxContent);
			break;
			case 'html':
				$.ajaxSetup({
					cache:opts.cache,
					beforeSend:function(){
						$('#'+opts.prefix+'_content').html('......');
					},
				});
				$('#'+opts.prefix+'_content').css('line-height','').load(opts.url);
			break;
		}
		return false;
	});
}